create table players
(
    hash          bytea                    not null primary key,
    world         int                      not null,
    timestamp     timestamp with time zone not null,
    territory     int                      not null,
    current_world int                      not null,
    x             float                    not null,
    y             float                    not null,
    z             float                    not null,
    w             float                    not null,
    customize     bytea                    not null,
    level         smallint                 not null,
    job           int                      not null,
    free_company  text,
    current_hp    int                      not null,
    max_hp        int                      not null
);

create index players_territory_idx on players (territory);
